Thanks bro, I realized how to extrude out the profile, but now I have another question, how to extrude a profile with holes? That is, there is an external profile and several circles inside (or rectangles)....
This is my code without holes. How to make face with holes?
Hi, I do not have access to api documentation of makeFace but you could add your circles (make wire out of it) to the face made from outer profile before sending it to makePrism API.
Good luck
Mon, 08/07/2017 - 09:28
Use BRepPrimAPI_MakePrism class , prior to that build your face using the input set of wires( 2D profile).
Mon, 08/07/2017 - 09:28
Use BRepPrimAPI_MakePrism class , prior to that build your face using the input set of wires( 2D profile).
Sun, 08/13/2017 - 15:50
Thanks bro, I realized how to extrude out the profile, but now I have another question, how to extrude a profile with holes? That is, there is an external profile and several circles inside (or rectangles)....
This is my code without holes. How to make face with holes?
Sun, 08/13/2017 - 16:27
Hi, I do not have access to api documentation of makeFace but you could add your circles (make wire out of it) to the face made from outer profile before sending it to makePrism API.
Good luck
Mon, 08/14/2017 - 02:24
i found:
But now new problem, how to get edges of one face? I need just simple collction of 3d lines (for drawing in custom OpenGL engine)
Any ideas?